Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#65088 - [duplicity] Missing optional dep for mf backend

Attached to Project: Community Packages
Opened by jozef riha (jose1711) - Wednesday, 08 January 2020, 23:02 GMT
Last edited by David Runge (dvzrv) - Friday, 17 January 2020, 09:54 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Lukas Fleischer (lfleischer)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

Description:

Duplicity 0.7.19-2 fails when trying to backup to a mediafire backend:

BackendException: Mediafire backend requires the mediafire library.
Exception: No module named mediafire.client

A package exists in aur: https://aur.archlinux.org/packages/?O=0&K=python-mediafire

Steps to reproduce:

* Use mf:// URL as a backup target
This task depends upon

Comment by loqs (loqs) - Thursday, 09 January 2020, 17:48 GMT
The referenced AUR package fails to build in a clean chroot as makepkg only supports a common build function so build_python-mediafire()/ build_python2-mediafire() are not called,
so there is no build time dependency on python / python2. python-six, python2-six, appear to be needed dependencies and python-pip, python2-pip needed make depends.
The license file is also not shipped.

Loading...